/*
 * License.cpp
 *
 *  Created on: 14.09.2011
 *      Author: stefan.detter
 */

#include "License.h"

#include <QApplication>
#include <QSettings>
#include <QTimer>
#include <QMessageBox>

#include <def.h>
#include <QrfeAES>

License 	License::m_license;
License* 	License::d = &m_license;

#define EXECUTION_COUNT		"EXECUTION_COUNT"

License::License()
	: QrfeTraceModule("License")
{
}

License::~License()
{

}


bool License::init(QWidget* /*parent*/)
{
	return true;
}


void License::manageLicense()
{
	return;
}

void License::licensesChanged()
{
	return;
}


bool License::hasAnyLicense()
{
	return false;
}


bool License::isDemoExpired()
{
	return true;
}

int License::remainingDayCount()
{
	return 0;
}


bool License::hasLicense( uint /*licenseId*/ )
{
	return false;
}


uint License::remainingExecutionCount(QObject* /*object*/, uint /*defaultCount*/)
{
	return 0;
}

void License::decrementExecutionCount(QObject* /*object*/)
{
	return;
}





